Subject: bug#27195: closed (Re: bug#27195: Add search-paths for coq libraries)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Jun 2017 08:04:02 +0000

Your bug report

#27195: Add search-paths for coq libraries

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27195: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27195
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27195: Add search-paths for coq libraries
From: julien lepiller <[email-masked]>
To: [email-masked]
Date: Wed, 07 Jun 2017 10:02:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le 2017-06-02 17:55, [email-masked] a écrit :
> julien lepiller <[email-masked]> skribis:
> 
>> From 7486a169bdfa0d4c5f287405b6d5fccf9dbcd1fa Mon Sep 17 00:00:00 2001
>> From: Julien Lepiller <[email-masked]>
>> Date: Thu, 1 Jun 2017 17:52:12 +0200
>> Subject: [PATCH] gnu: coq: Add search-paths for coq libraries.
>> 
>> * gnu/packages/ocaml.scm (coq)[native-search-paths]: New field.
>> ---
>>  gnu/packages/ocaml.scm | 4 ++++
>>  1 file changed, 4 insertions(+)
>> 
>> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
>> index 863e367a5..a3475e2b9 100644
>> --- a/gnu/packages/ocaml.scm
>> +++ b/gnu/packages/ocaml.scm
>> @@ -448,6 +448,10 @@ written in Objective Caml.")
>>                (sha256
>>                 (base32
>>                  
>> "0wyywia0darak2zmc5v0ra9rn0b9whwdfiahralm8v5za499s8w3"))))
>> +    (native-search-paths
>> +     (list (search-path-specification
>> +            (variable "COQPATH")
>> +            (files (list "lib/coq" "lib/coq/user-contrib")))))
> 
> Is “lib/coq/user-contrib” a widespread convention?  Looks unusual.
> 
> Apart from that LGTM, thanks!
> 
> Ludo’.

This is what the coq_makefile tool produces by default. I removed the 
"lib/coq" because this directory is used only for the standard library 
and it is already found correctly. "lib/coq" also creates a conflict in 
the build environment, which I cannot reproduce outside, but it seems 
that "lib/coq/user-contrib" alone works fine: I could build a few coq 
libraries and I'll send patches this evening.

Pushed as 50cbbc9bd439c0db1cce6ba6d6a49de1d1f3bacd.

Subject: Add search-paths for coq libraries
From: julien lepiller <[email-masked]>
To: [email-masked]
Date: Fri, 02 Jun 2017 10:11:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, here is a patch to set COQPATH, the environment variable used by coq 
to find external libraries.

From 7486a169bdfa0d4c5f287405b6d5fccf9dbcd1fa Mon Sep 17 00:00:00 2001
From: Julien Lepiller <[email-masked]>
Date: Thu, 1 Jun 2017 17:52:12 +0200
Subject: [PATCH] gnu: coq: Add search-paths for coq libraries.

* gnu/packages/ocaml.scm (coq)[native-search-paths]: New field.
---
 gnu/packages/ocaml.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 863e367a5..a3475e2b9 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -448,6 +448,10 @@ written in Objective Caml.")
               (sha256
                (base32
                 "0wyywia0darak2zmc5v0ra9rn0b9whwdfiahralm8v5za499s8w3"))))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "COQPATH")
+            (files (list "lib/coq" "lib/coq/user-contrib")))))
     (build-system gnu-build-system)
     (native-inputs
      `(("texlive" ,texlive)
-- 
2.13.0